A bug fix release to fix some issues in the v0.21.0 release.

## Bugs fixed!

* Multiple bugs in the HTTP request and batch handling (#642)
* Fix negative `http_req_sending` values in the summary (#651)
* Respect the `setup()` and `teardown()` timeouts even when triggered by the API (#661)